mouse cursor flashing after adding third monitor through usb 3.0 displaylink monitor

Bug #1613001 reported by jowfdoijdfdwfwdf
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Medium
Unassigned

Bug Description

Ubuntu 16.04 LTS, i7-3630QM, Intel HD Graphics 4000

LVDS1 primary is Samsung NP350 laptop monitor
HDMI1 is HDMI monitor
DVI-I-1 is through USB 3.0 displaylink to HDMI/DVI/Eth adapter, idVendor=17e9, idProduct=4307, monitor connected via HDMI

Mouse cursor constantly flashing on HDMI1 (sometimes clicking at empty area stops flashing, but mouse/keyboard action in a field with editable cursor like a web form triggers flashing), occasionally on LVDS1 but never on DVI-I-1

$ xrandr
Screen 0: minimum 8 x 8, current 5440 x 1080, maximum 32767 x 32767
LVDS1 connected primary 1600x900+3840+0 (normal left inverted right x axis y axis) 380mm x 210mm
   1600x900 60.06*+
   1440x900 59.89
   1368x768 60.00
   1360x768 59.80 59.96
   1152x864 60.00
   1280x720 60.00
   1024x768 60.00
   1024x576 60.00
   960x540 60.00
   800x600 60.32 56.25
   864x486 60.00
   800x450 60.00
   640x480 59.94
   720x405 60.00
   640x360 60.00
DP1 disconnected (normal left inverted right x axis y axis)
HDMI1 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 600mm x 340mm
   1920x1080 60.00*+ 50.00 59.94
   1920x1080i 60.00 50.00 59.94
   1680x1050 59.88
   1280x1024 75.02 60.02
   1440x900 59.90
   1280x960 60.00
   1152x864 75.00
   1280x720 60.00 50.00 59.94
   1440x576 50.00
   1024x768 75.08 70.07 60.00
   1440x480 60.00 59.94
   832x624 74.55
   800x600 72.19 75.00 60.32 56.25
   720x576 50.00
   720x480 60.00 59.94
   640x480 75.00 66.67 60.00 59.94
   720x400 70.08
VGA1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
DVI-I-1 connected 1920x1080+0+0 598mm x 336mm
   1920x1080 60.00*+ 50.00 59.94
   1680x1050 59.88
   1600x900 60.00
   1280x1024 75.02 60.02
   1280x960 60.00
   1280x800 59.91
   1152x864 75.00
   1280x720 60.00 50.00 59.94
   1024x768 75.08 60.00
   1024x576 59.97
   832x624 74.55
   800x600 75.00 60.32 56.25
   720x576 50.00
   848x480 60.00
   720x480 60.00 59.94
   640x480 75.00 60.00 59.94
   720x400 70.08
  1920x1080 (0xf7) 148.500MHz +HSync +VSync
        h: width 1920 start 2008 end 2052 total 2200 skew 0 clock 67.50KHz
        v: height 1080 start 1084 end 1089 total 1125 clock 60.00Hz
  1920x1080 (0xf8) 148.500MHz +HSync +VSync
        h: width 1920 start 2448 end 2492 total 2640 skew 0 clock 56.25KHz
        v: height 1080 start 1084 end 1089 total 1125 clock 50.00Hz
  1920x1080 (0xf9) 148.352MHz +HSync +VSync
        h: width 1920 start 2008 end 2052 total 2200 skew 0 clock 67.43KHz
        v: height 1080 start 1084 end 1089 total 1125 clock 59.94Hz
  1680x1050 (0xfd) 119.000MHz +HSync -VSync
        h: width 1680 start 1728 end 1760 total 1840 skew 0 clock 64.67KHz
        v: height 1050 start 1053 end 1059 total 1080 clock 59.88Hz
  1280x1024 (0xfe) 135.000MHz +HSync +VSync
        h: width 1280 start 1296 end 1440 total 1688 skew 0 clock 79.98KHz
        v: height 1024 start 1025 end 1028 total 1066 clock 75.02Hz
  1280x1024 (0xff) 108.000MHz +HSync +VSync
        h: width 1280 start 1328 end 1440 total 1688 skew 0 clock 63.98KHz
        v: height 1024 start 1025 end 1028 total 1066 clock 60.02Hz
  1280x960 (0x100) 108.000MHz +HSync +VSync
        h: width 1280 start 1376 end 1488 total 1800 skew 0 clock 60.00KHz
        v: height 960 start 961 end 964 total 1000 clock 60.00Hz
  1152x864 (0x101) 108.000MHz +HSync +VSync
        h: width 1152 start 1216 end 1344 total 1600 skew 0 clock 67.50KHz
        v: height 864 start 865 end 868 total 900 clock 75.00Hz
  1280x720 (0x102) 74.250MHz +HSync +VSync
        h: width 1280 start 1390 end 1430 total 1650 skew 0 clock 45.00KHz
        v: height 720 start 725 end 730 total 750 clock 60.00Hz
  1280x720 (0x103) 74.250MHz +HSync +VSync
        h: width 1280 start 1720 end 1760 total 1980 skew 0 clock 37.50KHz
        v: height 720 start 725 end 730 total 750 clock 50.00Hz
  1280x720 (0x104) 74.176MHz +HSync +VSync
        h: width 1280 start 1390 end 1430 total 1650 skew 0 clock 44.96KHz
        v: height 720 start 725 end 730 total 750 clock 59.94Hz
  1024x768 (0x106) 78.800MHz +HSync +VSync
        h: width 1024 start 1040 end 1136 total 1312 skew 0 clock 60.06KHz
        v: height 768 start 769 end 772 total 800 clock 75.08Hz
  1024x768 (0xed) 65.000MHz -HSync -VSync
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.36KHz
        v: height 768 start 771 end 777 total 806 clock 60.00Hz
  832x624 (0x10a) 57.284MHz -HSync -VSync
        h: width 832 start 864 end 928 total 1152 skew 0 clock 49.73KHz
        v: height 624 start 625 end 628 total 667 clock 74.55Hz
  800x600 (0x10c) 49.500MHz +HSync +VSync
        h: width 800 start 816 end 896 total 1056 skew 0 clock 46.88KHz
        v: height 600 start 601 end 604 total 625 clock 75.00Hz
  800x600 (0xf0) 40.000MHz +HSync +VSync
        h: width 800 start 840 end 968 total 1056 skew 0 clock 37.88KHz
        v: height 600 start 601 end 605 total 628 clock 60.32Hz
  800x600 (0xf1) 36.000MHz +HSync +VSync
        h: width 800 start 824 end 896 total 1024 skew 0 clock 35.16KHz
        v: height 600 start 601 end 603 total 625 clock 56.25Hz
  720x576 (0x10d) 27.000MHz -HSync -VSync
        h: width 720 start 732 end 796 total 864 skew 0 clock 31.25KHz
        v: height 576 start 581 end 586 total 625 clock 50.00Hz
  720x480 (0x10e) 27.027MHz -HSync -VSync
        h: width 720 start 736 end 798 total 858 skew 0 clock 31.50KHz
        v: height 480 start 489 end 495 total 525 clock 60.00Hz
  720x480 (0x10f) 27.000MHz -HSync -VSync
        h: width 720 start 736 end 798 total 858 skew 0 clock 31.47KHz
        v: height 480 start 489 end 495 total 525 clock 59.94Hz
  640x480 (0x110) 31.500MHz -HSync -VSync
        h: width 640 start 656 end 720 total 840 skew 0 clock 37.50KHz
        v: height 480 start 481 end 484 total 500 clock 75.00Hz
  640x480 (0x112) 25.200MHz -HSync -VSync
        h: width 640 start 656 end 752 total 800 skew 0 clock 31.50KHz
        v: height 480 start 490 end 492 total 525 clock 60.00Hz
  640x480 (0xf4) 25.175MHz -HSync -VSync
        h: width 640 start 656 end 752 total 800 skew 0 clock 31.47KHz
        v: height 480 start 490 end 492 total 525 clock 59.94Hz
  720x400 (0x113) 28.320MHz -HSync +VSync
        h: width 720 start 738 end 846 total 900 skew 0 clock 31.47KHz
        v: height 400 start 412 end 414 total 449 clock 70.08Hz

dmesg

[36432.890236] systemd[1]: apt-daily.timer: Adding 52min 58.912968s random time.
[36432.929515] evdi: [I] Initialising logging on level 5
[36432.963924] usb 4-2: usbfs: process 19740 (DeviceManager_0) did not claim interface 1 before use
[36433.954930] usb 4-2: USB disconnect, device number 3
[36433.956412] cdc_ncm 4-2:1.5 enx803f5d09d7ec: unregister 'cdc_ncm' usb-0000:00:14.0-2, CDC NCM
[36434.855035] usb 4-2: new SuperSpeed USB device number 4 using xhci_hcd
[36434.871729] usb 4-2: New USB device found, idVendor=17e9, idProduct=4307
[36434.871735] usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[36434.871739] usb 4-2: Product: USB Dual Head Display Adapter
[36434.871742] usb 4-2: Manufacturer: DisplayLink
[36434.871745] usb 4-2: SerialNumber: U3D2338102624
[36434.878712] usb 4-2: Warning! Unlikely big volume range (=511), cval->res is probably wrong.
[36434.878718] usb 4-2: [16] FU [USB Audio Device Playback Volume] ch = 6, val = -8176/0/16
[36434.879364] usb 4-2: Warning! Unlikely big volume range (=767), cval->res is probably wrong.
[36434.879379] usb 4-2: [13] FU [Mic Capture Volume] ch = 2, val = -4592/7680/16
[36434.881793] cdc_ncm 4-2:1.5: MAC-Address: 80:3f:5d:09:d7:ec
[36434.881797] cdc_ncm 4-2:1.5: setting rx_max = 16384
[36434.881917] cdc_ncm 4-2:1.5: setting tx_max = 16384
[36434.882240] cdc_ncm 4-2:1.5 usb0: register 'cdc_ncm' at usb-0000:00:14.0-2, CDC NCM, 80:3f:5d:09:d7:ec
[36434.920940] cdc_ncm 4-2:1.5 enx803f5d09d7ec: renamed from usb0
[36434.945000] IPv6: ADDRCONF(NETDEV_UP): enx803f5d09d7ec: link is not ready
[36434.945178] IPv6: ADDRCONF(NETDEV_UP): enx803f5d09d7ec: link is not ready
[36435.252911] evdi: [D] add_store:195 Increasing device count to 1
[36435.253268] evdi: [D] evdi_crtc_init:304 drm_crtc_init: 0
[36435.253748] evdi: [W] evdi_painter_crtc_state_notify:362 Painter does not exist!
[36435.253752] evdi: [D] evdi_detect:72 Painter is disconnected
[36435.253757] evdi evdi.0: No connectors reported connected with modes
[36435.253760] [drm] Cannot find any crtc or sizes - going 1024x768
[36435.255715] evdi evdi.0: fb1: evdidrmfb frame buffer device
[36435.255719] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[36435.255720] [drm] No driver support for vblank timestamp query.
[36435.255721] [drm] evdi: evdi_stats_init
[36435.255726] [drm] Initialized evdi 1.1.61 20160510 on minor 1
[36435.261947] evdi: [W] evdi_painter_disconnect:462 (dev=0) An unknown connection to ffff88032b2eda00 tries to close us
[36435.261950] evdi: [W] evdi_painter_disconnect:463 - ignoring
[36435.262490] evdi: [W] evdi_painter_disconnect:462 (dev=0) An unknown connection to ffff88032b2eda00 tries to close us
[36435.262492] evdi: [W] evdi_painter_disconnect:463 - ignoring
[36435.262550] ------------[ cut here ]------------
[36435.262560] WARNING: CPU: 7 PID: 3336 at include/drm/drm_gem.h:146 evdi_dumb_create+0xdd/0xf0 [evdi]()
[36435.262562] Modules linked in: evdi(OE) cdc_mbim cdc_wdm snd_usb_audio cdc_ncm snd_usbmidi_lib usbnet pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) drbg ansi_cprng ctr ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT nf_reject_ipv4 bnep xt_tcpudp bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables x_tables rtsx_usb_ms memstick arc4 binfmt_misc snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep uvcvideo snd_pcm videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 btusb videobuf2_core iwlmvm btrtl v4l2_common btbcm videodev btintel snd_seq_midi mac80211 bluetooth media
[36435.262617] snd_seq_midi_event samsung_laptop snd_rawmidi iwlwifi snd_seq intel_rapl x86_pkg_temp_thermal intel_powerclamp kvm_intel snd_seq_device kvm crct10dif_pclmul cfg80211 snd_timer crc32_pclmul irqbypass snd aesni_intel aes_x86_64 soundcore input_leds lrw gf128mul joydev glue_helper mei_me shpchp ablk_helper serio_raw mei cryptd lpc_ich tpm_infineon mac_hid coretemp parport_pc ppdev lp parport autofs4 btrfs raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid1 raid0 multipath linear rtsx_usb_sdmmc rtsx_usb hid_generic usbhid hid i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect psmouse sysimgblt fb_sys_fops r8169 ahci drm mii libahci video wmi fjes
[36435.262676] CPU: 7 PID: 3336 Comm: Xorg Tainted: G OE 4.4.0-34-generic #53-Ubuntu
[36435.262679] Hardware name: SAMSUNG ELECTRONICS CO., LTD. 350V5C/350V5X/350V4C/350V4X/351V5C/351V5X/351V4C/351V4X/3540VC/3540VX/3440VC/3440VX/NP350E7C-A01U
[36435.262681] 0000000000000286 0000000043a584f3 ffff88032b55fd10 ffffffff813f11b3
[36435.262685] 0000000000000000 ffffffffc0b77bf1 ffff88032b55fd48 ffffffff81081102
[36435.262688] 0000000000000000 ffff88032b55fde8 ffff8801e0765300 0000000000000072
[36435.262692] Call Trace:
[36435.262700] [<ffffffff813f11b3>] dump_stack+0x63/0x90
[36435.262705] [<ffffffff81081102>] warn_slowpath_common+0x82/0xc0
[36435.262709] [<ffffffff8108124a>] warn_slowpath_null+0x1a/0x20
[36435.262714] [<ffffffffc0b748bd>] evdi_dumb_create+0xdd/0xf0 [evdi]
[36435.262740] [<ffffffffc0051c28>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[36435.262755] [<ffffffffc0041742>] drm_ioctl+0x152/0x540 [drm]
[36435.262782] [<ffffffffc0051b80>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[36435.262787] [<ffffffff8122b453>] ? __fd_install+0x33/0xe0
[36435.262791] [<ffffffff81220c3f>] do_vfs_ioctl+0x29f/0x490
[36435.262794] [<ffffffff8121c974>] ? putname+0x54/0x60
[36435.262798] [<ffffffff8120c2ff>] ? do_sys_open+0x1bf/0x2a0
[36435.262801] [<ffffffff81220ea9>] SyS_ioctl+0x79/0x90
[36435.262804] [<ffffffff8182def2>] entry_SYSCALL_64_fastpath+0x16/0x71
[36435.262827] ---[ end trace df2aa49a27100b43 ]---
[36435.381808] evdi: [D] evdi_detect:72 Painter is disconnected
[36435.381858] evdi: [D] evdi_detect:72 Painter is disconnected
[36435.382974] ------------[ cut here ]------------
[36435.382983] WARNING: CPU: 4 PID: 3336 at include/drm/drm_gem.h:146 evdi_dumb_create+0xdd/0xf0 [evdi]()
[36435.382991] Modules linked in: evdi(OE) cdc_mbim cdc_wdm snd_usb_audio cdc_ncm snd_usbmidi_lib usbnet pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) drbg ansi_cprng ctr ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT nf_reject_ipv4 bnep xt_tcpudp bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables x_tables rtsx_usb_ms memstick arc4 binfmt_misc snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep uvcvideo snd_pcm videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 btusb videobuf2_core iwlmvm btrtl v4l2_common btbcm videodev btintel snd_seq_midi mac80211 bluetooth media
[36435.383028] snd_seq_midi_event samsung_laptop snd_rawmidi iwlwifi snd_seq intel_rapl x86_pkg_temp_thermal intel_powerclamp kvm_intel snd_seq_device kvm crct10dif_pclmul cfg80211 snd_timer crc32_pclmul irqbypass snd aesni_intel aes_x86_64 soundcore input_leds lrw gf128mul joydev glue_helper mei_me shpchp ablk_helper serio_raw mei cryptd lpc_ich tpm_infineon mac_hid coretemp parport_pc ppdev lp parport autofs4 btrfs raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid1 raid0 multipath linear rtsx_usb_sdmmc rtsx_usb hid_generic usbhid hid i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect psmouse sysimgblt fb_sys_fops r8169 ahci drm mii libahci video wmi fjes
[36435.383068] CPU: 4 PID: 3336 Comm: Xorg Tainted: G W OE 4.4.0-34-generic #53-Ubuntu
[36435.383069] Hardware name: SAMSUNG ELECTRONICS CO., LTD. 350V5C/350V5X/350V4C/350V4X/351V5C/351V5X/351V4C/351V4X/3540VC/3540VX/3440VC/3440VX/NP350E7C-A01U
[36435.383071] 0000000000000286 0000000043a584f3 ffff88032b55fd10 ffffffff813f11b3
[36435.383073] 0000000000000000 ffffffffc0b77bf1 ffff88032b55fd48 ffffffff81081102
[36435.383075] 0000000000000000 ffff88032b55fde8 ffff8802e286c700 0000000000000072
[36435.383077] Call Trace:
[36435.383082] [<ffffffff813f11b3>] dump_stack+0x63/0x90
[36435.383086] [<ffffffff81081102>] warn_slowpath_common+0x82/0xc0
[36435.383088] [<ffffffff8108124a>] warn_slowpath_null+0x1a/0x20
[36435.383091] [<ffffffffc0b748bd>] evdi_dumb_create+0xdd/0xf0 [evdi]
[36435.383107] [<ffffffffc0051c28>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[36435.383116] [<ffffffffc0041742>] drm_ioctl+0x152/0x540 [drm]
[36435.383127] [<ffffffffc0051b80>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[36435.383129] [<ffffffff81220c3f>] do_vfs_ioctl+0x29f/0x490
[36435.383132] [<ffffffff8120f811>] ? __sb_end_write+0x21/0x30
[36435.383135] [<ffffffff8120d41d>] ? vfs_write+0x15d/0x1a0
[36435.383137] [<ffffffff81220ea9>] SyS_ioctl+0x79/0x90
[36435.383139] [<ffffffff8182def2>] entry_SYSCALL_64_fastpath+0x16/0x71
[36435.383159] ---[ end trace df2aa49a27100b44 ]---
[36435.383165] ------------[ cut here ]------------
[36435.383170] WARNING: CPU: 4 PID: 3336 at include/drm/drm_gem.h:146 evdi_dumb_create+0xdd/0xf0 [evdi]()
[36435.383171] Modules linked in: evdi(OE) cdc_mbim cdc_wdm snd_usb_audio cdc_ncm snd_usbmidi_lib usbnet pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) drbg ansi_cprng ctr ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT nf_reject_ipv4 bnep xt_tcpudp bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables x_tables rtsx_usb_ms memstick arc4 binfmt_misc snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep uvcvideo snd_pcm videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 btusb videobuf2_core iwlmvm btrtl v4l2_common btbcm videodev btintel snd_seq_midi mac80211 bluetooth media
[36435.383203] snd_seq_midi_event samsung_laptop snd_rawmidi iwlwifi snd_seq intel_rapl x86_pkg_temp_thermal intel_powerclamp kvm_intel snd_seq_device kvm crct10dif_pclmul cfg80211 snd_timer crc32_pclmul irqbypass snd aesni_intel aes_x86_64 soundcore input_leds lrw gf128mul joydev glue_helper mei_me shpchp ablk_helper serio_raw mei cryptd lpc_ich tpm_infineon mac_hid coretemp parport_pc ppdev lp parport autofs4 btrfs raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid1 raid0 multipath linear rtsx_usb_sdmmc rtsx_usb hid_generic usbhid hid i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect psmouse sysimgblt fb_sys_fops r8169 ahci drm mii libahci video wmi fjes
[36435.383231] CPU: 4 PID: 3336 Comm: Xorg Tainted: G W OE 4.4.0-34-generic #53-Ubuntu
[36435.383232] Hardware name: SAMSUNG ELECTRONICS CO., LTD. 350V5C/350V5X/350V4C/350V4X/351V5C/351V5X/351V4C/351V4X/3540VC/3540VX/3440VC/3440VX/NP350E7C-A01U
[36435.383233] 0000000000000286 0000000043a584f3 ffff88032b55fd10 ffffffff813f11b3
[36435.383235] 0000000000000000 ffffffffc0b77bf1 ffff88032b55fd48 ffffffff81081102
[36435.383236] 0000000000000000 ffff88032b55fde8 ffff88005d2a0900 0000000000000072
[36435.383238] Call Trace:
[36435.383240] [<ffffffff813f11b3>] dump_stack+0x63/0x90
[36435.383243] [<ffffffff81081102>] warn_slowpath_common+0x82/0xc0
[36435.383244] [<ffffffff8108124a>] warn_slowpath_null+0x1a/0x20
[36435.383247] [<ffffffffc0b748bd>] evdi_dumb_create+0xdd/0xf0 [evdi]
[36435.383258] [<ffffffffc0051c28>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[36435.383266] [<ffffffffc0041742>] drm_ioctl+0x152/0x540 [drm]
[36435.383276] [<ffffffffc0051b80>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[36435.383278] [<ffffffff81220c3f>] do_vfs_ioctl+0x29f/0x490
[36435.383281] [<ffffffff8120f811>] ? __sb_end_write+0x21/0x30
[36435.383283] [<ffffffff8120d41d>] ? vfs_write+0x15d/0x1a0
[36435.383284] [<ffffffff81220ea9>] SyS_ioctl+0x79/0x90
[36435.383286] [<ffffffff8182def2>] entry_SYSCALL_64_fastpath+0x16/0x71
[36435.383294] ---[ end trace df2aa49a27100b45 ]---
[36435.383453] evdi: [D] evdi_painter_crtc_state_notify:359 (dev=0) Notifying crtc state: 3
[36435.383455] evdi: [W] evdi_painter_send_crtc_state:253 Painter is not connected!
[36435.383460] evdi: [D] evdi_painter_crtc_state_notify:359 (dev=0) Notifying crtc state: 3
[36435.383461] evdi: [W] evdi_painter_send_crtc_state:253 Painter is not connected!
[36435.425868] evdi: [W] evdi_painter_disconnect:462 (dev=0) An unknown connection to ffff8802318c0800 tries to close us
[36435.425870] evdi: [W] evdi_painter_disconnect:463 - ignoring
[36435.431891] evdi: [D] evdi_painter_connect:433 (dev=0) Connected with (null)
[36435.431895] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36435.433897] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36435.433902] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36437.954114] cdc_ncm 4-2:1.5 enx803f5d09d7ec: network connection: disconnected
[36556.187971] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36556.187975] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36567.735901] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36567.735913] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36567.825341] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36567.825350] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36678.590759] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36678.590766] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36687.133030] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36687.133040] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36694.747397] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36694.747426] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36694.831274] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36694.831278] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36699.407991] evdi: [D] evdi_painter_mode_changed_notify:376 (dev=1) Notifying mode changed: 1920x1080@60; bpp 32;
[36699.407994] evdi: [D] evdi_painter_mode_changed_notify:377 pixel format 875713112
[36699.407999] evdi: [D] evdi_painter_crtc_state_notify:359 (dev=1) Notifying crtc state: 0
[36699.452623] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36699.452641] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36714.850586] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36714.850594] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36743.557552] evdi: [D] evdi_painter_crtc_state_notify:359 (dev=1) Notifying crtc state: 3
[36743.557635] evdi: [W] evdi_painter_mode_changed_notify:384 (dev=1) Change mode duplicated - ignoring
[36743.558796] evdi: [D] evdi_painter_crtc_state_notify:359 (dev=1) Notifying crtc state: 0
[36743.558804] evdi: [D] evdi_painter_dpms_notify:346 (dev=1) Notifying dpms mode: 0
[36743.586195] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36743.586203] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36743.629995] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36743.630000] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36754.174170] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36754.174175] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36776.550956] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36776.550962] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[36816.053334] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[36816.053338] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[37419.196900] perf interrupt took too long (2526 > 2500), lowering kernel.perf_event_max_sample_rate to 50000
[38177.603771] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[38177.603775] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff
[39352.798982] evdi: [D] evdi_detect:69 (dev=1) Painter is connected
[39352.798985] evdi: [D] evdi_painter_get_edid_copy:186 (dev=1) 00 ff ff

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-34.53-generic 4.4.15
Uname: Linux 4.4.0-34-generic x86_64
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Sat Aug 13 17:38:04 2016
DistUpgraded: 2016-04-25 00:44:52,269 DEBUG icon theme changed, re-reading
DistroCodename: xenial
DistroVariant: ubuntu
DkmsStatus: evdi, 1.1.62, 4.4.0-34-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd 3rd Gen Core processor Graphics Controller [144d:c0dc]
InstallationDate: Installed on 2014-05-25 (810 days ago)
InstallationMedia: It
LightdmDisplayLog:
 gbm: failed to open any driver (search paths /usr/lib/x86_64-linux-gnu/dri:${ORIGIN}/dri:/usr/lib/dri)
 gbm: Last dlopen error: /usr/lib/dri/evdi_dri.so: cannot open shared object file: No such file or directory
 failed to load driver: evdi
 EGL_MESA_drm_image required.
 xf86: found device 2
MachineType: SAMSUNG ELECTRONICS CO., LTD. 350V5C/350V5X/350V4C/350V4X/351V5C/351V5X/351V4C/351V4X/3540VC/3540VX/3440VC/3440VX
ProcEnviron:
 LANGUAGE=en_US
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-34-generic root=UUID=65fe300d-9193-41d1-abb2-48b3faa4be11 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to xenial on 2016-04-25 (110 days ago)
dmi.bios.date: 08/24/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P02ABE
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: NP350E7C-A01US
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: BOARD REVISION 00
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP02ABE:bd08/24/2012:svnSAMSUNGELECTRONICSCO.,LTD.:pn350V5C/350V5X/350V4C/350V4X/351V5C/351V5X/351V4C/351V4X/3540VC/3540VX/3440VC/3440VX:pvrP02ABE.005.CP:rvnSAMSUNGELECTRONICSCO.,LTD.:rnNP350E7C-A01US:rvrBOARDREVISION00:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.name: 350V5C/350V5X/350V4C/350V4X/351V5C/351V5X/351V4C/351V4X/3540VC/3540VX/3440VC/3440VX
dmi.product.version: P02ABE.005.CP
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.12.2+16.04.20160714-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.70+git1608030630.b214b0~gd~x
version.libgl1-mesa-dri: libgl1-mesa-dri 12.1~git1608090730.8c4d9a~gd~x
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 12.1~git1608090730.8c4d9a~gd~x
version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2.3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.99+git1608021930.9a1afb~gd~x
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git1608081931.52343d~gd~x
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12+git1607191931.6473b6~gd~x
xserver.bootTime: Sat Aug 13 07:02:04 2016
xserver.configfile: default
xserver.errors: modeset(G0): glamor initialization failed
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 30915
 vendor BNQ
xserver.version: 2:1.18.3-1ubuntu2.3

Revision history for this message
jowfdoijdfdwfwdf (dsfkljo322332) wrote :
Revision history for this message
jowfdoijdfdwfwdf (dsfkljo322332) wrote :

Related bug 1278223

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Changed in xorg (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

jowfdoijdfdwfwdf, thank you for reporting this and helping make Ubuntu better.

In order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

It is most helpful that after testing of the latest upstream kernel is complete, you mark this report Status Confirmed.

Lastly, to keep this issue relevant to upstream, please continue to test the latest mainline kernel as it becomes available.

Thank you for your help.

Changed in xorg (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for xorg (Ubuntu) because there has been no activity for 60 days.]

Changed in xorg (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Michał Skrzypczak (mskrzypczak) wrote :

I have just verified that the bug is still there. What should I do to make some people actually look at the bug?

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Michał Skrzypczak, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Revision history for this message
Michał Skrzypczak (mskrzypczak) wrote : Re: [Bug 1613001] Re: mouse cursor flashing after adding third monitor through usb 3.0 displaylink monitor
Download full text (29.3 KiB)

Dear Christopher,
I have filed a new bug report, as you suggested. I have attached the
diagnostic info by running ubuntu-bug xorg. Please attach the new bug
report to the old one in an appropriate way. If you could provide me
please some info when you expect something to happen (i.e. someone to
be assigned to this report...).

The new bug is:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1639203

Thank you in advance,
Michał Skrzypczak

2016-11-03 5:26 GMT+01:00 Christopher M. Penalver
<email address hidden>:
> Michał Skrzypczak, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
> ubuntu-bug xorg
>
> Also, please feel free to subscribe me to it.
>
> For more on why this is helpful, please see
> https://wiki.ubuntu.com/ReportingBugs.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1613001
>
> Title:
> mouse cursor flashing after adding third monitor through usb 3.0
> displaylink monitor
>
> Status in xorg package in Ubuntu:
> Expired
>
> Bug description:
>
> Ubuntu 16.04 LTS, i7-3630QM, Intel HD Graphics 4000
>
> LVDS1 primary is Samsung NP350 laptop monitor
> HDMI1 is HDMI monitor
> DVI-I-1 is through USB 3.0 displaylink to HDMI/DVI/Eth adapter, idVendor=17e9, idProduct=4307, monitor connected via HDMI
>
> Mouse cursor constantly flashing on HDMI1 (sometimes clicking at empty
> area stops flashing, but mouse/keyboard action in a field with
> editable cursor like a web form triggers flashing), occasionally on
> LVDS1 but never on DVI-I-1
>
>
> $ xrandr
> Screen 0: minimum 8 x 8, current 5440 x 1080, maximum 32767 x 32767
> LVDS1 connected primary 1600x900+3840+0 (normal left inverted right x axis y axis) 380mm x 210mm
> 1600x900 60.06*+
> 1440x900 59.89
> 1368x768 60.00
> 1360x768 59.80 59.96
> 1152x864 60.00
> 1280x720 60.00
> 1024x768 60.00
> 1024x576 60.00
> 960x540 60.00
> 800x600 60.32 56.25
> 864x486 60.00
> 800x450 60.00
> 640x480 59.94
> 720x405 60.00
> 640x360 60.00
> DP1 disconnected (normal left inverted right x axis y axis)
> HDMI1 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 600mm x 340mm
> 1920x1080 60.00*+ 50.00 59.94
> 1920x1080i 60.00 50.00 59.94
> 1680x1050 59.88
> 1280x1024 75.02 60.02
> 1440x900 59.90
> 1280x960 60.00
> 1152x864 75.00
> 1280x720 60.00 50.00 59.94
> 1440x576 50.00
> 1024x768 75.08 70.07 60.00
> 1440x480 60.00 59.94
> 832x624 74.55
> 800x600 72.19 75.00 60.32 56.25
> 720x576 50.00
> 720x480 60.00 59.94
> 640x480 75.00 66.67 60.00 59.94
> 720x400 70.08
> VGA1 disconnected (normal left inverted right x...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers